Analisi FEM

From FreeCAD Documentation
Revision as of 21:32, 18 March 2017 by Renatorivo (talk | contribs) (Created page with "==Proprietà== * {{PropertyData|OutpuDir}}: Specifica la directory di lavoro di Analisi")
Jump to navigation Jump to search

FEM Analysis.png Analisi FEM

Posizione nel menu
FEM → Contenitore analisi
Ambiente
FEM
Avvio veloce
N,A
Introdotto nella versione
-
Vedere anche
Tutorial FEM


Descrizione

Analisi FEM può essere visto come il contenitore di tutti gli oggetti di una Analisi agli elementi finiti. È obbligatorio avere un contenitore Analisi che contenga tutti gli oggetti necessari. Per poter eseguire un'analisi meccanica serve almeno uno dei seguenti oggetti:


Uso

  1. Premere il pulsante FEM Analysis.png Analisi, oppure i tasti N e A. Viene creata e attivata una nuova Analisi.
  2. Nel contenitore Analisi si possono aggiungere o rimuovere gli oggetti con azioni drag and drop.
  3. Per aggiungere nuovi oggetti FEM al documento l'analisi deve essere attiva. Fare doppio clic sull'analisi per attivarla.


Opzioni

  • Per ora non ci sono opzioni.
  • L'analisi in frequenza è in sviluppo. Vedere [1] per maggiori informazioni.


Proprietà

  • DataOutpuDir: Specifica la directory di lavoro di Analisi


Scripting

  • new analysis
MechanicalAnalysis.makeMechanicalAnalysis( name )
  • add object to the analysis
App.ActiveDocument.MechanicalAnalysis.Member = App.ActiveDocument.MechanicalAnalysis.Member + [ (object) ]
  • remove object from the analysis
member = App.ActiveDocument.MechanicalAnalysis.Member
member.remove( documentobject )
 App.ActiveDocument.MechanicalAnalysis.Member = member


Examples:

import MechanicalAnalysis
analysis = MechanicalAnalysis.makeMechanicalAnalysis("MechanicalAnalysis")
FemGui.setActiveAnalysis(analysis)

addobj = App.ActiveDocument.getObject("MechanicalMaterial")
App.ActiveDocument.MechanicalAnalysis.Member = App.ActiveDocument.MechanicalAnalysis.Member + [addobj]

removeobj = App.ActiveDocument.getObject("MechanicalMaterial")
member = App.ActiveDocument.MechanicalAnalysis.Member
member.remove(removeobj)
App.ActiveDocument.MechanicalAnalysis.Member = member


Other languages:
English • ‎français • ‎italiano • ‎română • ‎русский